
#include <gtk/gtk.h>
#include <gtk/gtkx.h>
#include "model/ubl-utils.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <libintl.h>
#include <getopt.h>
#include <libintl.h>
#include "../compile/ubl-cmake.h"
#include "model/model.h"
#include "model/load.h"
#include "model/my_device.h"



typedef struct {
    GtkWidget* Window;
    GtkWidget* btnSaveTempSave;
    GtkWidget* btnTempCancel;

    GtkWidget* spinWeeksFile;
    GtkWidget* spinDaysFile;
    GtkWidget* spinHoursFile;
    GtkWidget* spinMinutesFile;

    GtkWidget* spinWeeksSize;
    GtkWidget* spinDaysSize;
    GtkWidget* spinHoursSize;
    GtkWidget* spinMinutesSize;
    GtkWidget* lblNameDevice;
    GtkWidget* DeviceCombo;
    GtkWidget* cmbDeviceSetStatus;
    GtkWidget* lblHeadQuotasEditDeviceWindow;
    GtkWidget* boxBlockGuiAddEditDevice;
    GtkWidget* boxBlockDisabledStatus;
    char* name;
} view_device_set_window;

view_device_set_window* get_widget_view_device();
void view_device_get_gui_data();
void view_device_all_config(config_all* _all_config);
void view_device_get_vector_u_g_p(vector* _vec_u_g_p);
void view_device_set_time_spin(size_t seconds_file, size_t seconds_size);
void view_device_update_gui_spin_time();
void view_device_fill_gui();
void view_device_set_index(int _index);
void set_view_device_menu(char* _set_add_edit);
void view_device_set_combo_box_device();
void view_device_set_vector_device(vector* _vec_device);
void set_view_device_menu(char* _set_add_edit);
void view_device_show(GtkWidget *self, char* __glade_path);
void view_device_event(view_device_set_window* view_device_view_device_widgets);
void view_device_on_destroy_subwindow(GtkWidget *self);
void view_device_destroy(GtkWidget *self);
view_device_set_window *view_device_setup_window_base(char* __glade_path);
view_device_set_window *view_device_setup_window_custom(view_device_set_window* view_device_view_device_widgets, GtkBuilder *builder);